# FoundationClasses
TKernel
NCollection

# NCollection_IncAllocator::IBlock Struct Reference

`#include <NCollection_IncAllocator.hxx>`

## Public Member Functions

aligned_t * | allocateInBlock (const size_t cSize)

## Data Fields

aligned_t * | p_free_space
aligned_t * | p_end_block
IBlock * | p_next

## Member Function Documentation

aligned_t* NCollection_IncAllocator::IBlock::allocateInBlock | ( | const size_t | cSize | ) | `[inline]`

## Field Documentation

aligned_t* NCollection_IncAllocator::IBlock::p_end_block

aligned_t* NCollection_IncAllocator::IBlock::p_free_space

struct IBlock* NCollection_IncAllocator::IBlock::p_next

The documentation for this struct was generated from the following file:

- NCollection_IncAllocator.hxx